javax.persistence

## Interface Tuple

    public interface Tuple

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `get(int i)`
`<X> X` `get(int i, Class<X> type)`
`Object` `get(String alias)`
`<X> X` `get(String alias, Class<X> type)`
`<X> X` `get(TupleElement<X> tupleElement)`
`List<TupleElement<?>>` `getElements()`
`Object[]` `toArray()`

### Method Detail

#### get

    <X> X get(TupleElement<X> tupleElement)

#### get

    <X> X get(String alias,
              Class<X> type)

#### get

    Object get(String alias)

#### get

    <X> X get(int i,
              Class<X> type)

#### get

    Object get(int i)

#### toArray

    Object[] toArray()

#### getElements

    List<TupleElement<?>> getElements()